Stages API Reference

Stages

For authentication instructions, see API overview.

get

List all stagesflows

Returns a list of stagesflows. The stagesflows are returned in sorted order, with the most recent appearing first.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/stagesflows

Response

No response schema
post

Create stagesflows

Create stagesflows. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • objectNamestring
  • objectTypesarray

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/stagesflows \
-d 'objectName="string"' \
-d 'objectTypes="array"'

Response

No response schema
get

Retrieve stagesflows

Returns a single stagesflow, which you can request by passing through an id in the url.

Path parameters

  • idstring

    ID of the stages flow

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/stagesflows/:id

Response

No response schema
patch

Update stagesflows

Update stagesflows by setting the values of the parameters passed. Any parameters not set will be unchanged.

Path parameters

  • idstring

    ID of the stages flow

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/stagesflows/:id

Response

No response schema
delete

Delete stagesflows

Path parameters

  • idstring

    ID of the stages flow

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X DELETE \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/stagesflows/:id

Response

No response schema
delete

Delete deleted

Path parameters

  • idstring

    ID of the stages flow

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X DELETE \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/stagesflows/deleted/:id

Response

No response schema